<template>
  <div class="store-main-screen">
    <div class="store-main-screen__container container">
      <div class="store-main-screen__content content">
        <h1 class="base-title">TBCC Franchise</h1>
        <p>
          To benefit from TBCC Hub dealership options, please fill in the
          registration form below.
        </p>
        <div class="content__actions">
          <base-button shaded @click.native="scrollToForm">
            Fill Application
          </base-button>
        </div>
      </div>
      <div class="store-main-screen__img img">
        <img
          v-show="getCurrentPlan === 'TBCC OTC / Store'"
          src="../../assets/img/store-main-screen.png"
          width="578"
          height="530"
          alt="Store"
        />
        <img
          v-show="getCurrentPlan === 'TBCC OTC / E-Box'"
          src="../../assets/img/store-main-sreen-ebox.png"
          width="578"
          height="530"
          alt="E-Box"
        />
        <img
          v-show="getCurrentPlan !== 'TBCC OTC / E-Box' && getCurrentPlan !== 'TBCC OTC / Store'"
          src="../../assets/img/cloud/cloud-main-screen.svg"
          width="629"
          height="543"
          alt="Cloud"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  computed: {
    ...mapGetters({
      getCurrentPlan: 'getCurrentPlan',
    }),
  },

  methods: {
    scrollToForm() {
      const el = document.getElementById('franchise-title')
      el.scrollIntoView()
    },
  },
}
</script>

<style lang="scss" scoped>
.base-title {
  font-weight: 700;
  font-size: 36px;
  line-height: 45px;
  margin: 0 0 20px;
  position: relative;
  max-width: 380px;

  @media (max-width: 767px) {
    text-align: center;
    margin-bottom: 25px;
  }

  @media (min-width: 1024px) {
    font-size: 50px;
    line-height: 54px;
  }

  @media (min-width: 1200px) {
    font-size: 60px;
    line-height: 74px;
    max-width: 530px;
  }

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 509px;
      height: 270px;
      top: -190px;
      left: -165px;
      background-image: url('../../assets/img/hub/bg-star1.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }
  }
}

.store-main-screen {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);

  @media (min-width: 768px) {
    padding-top: 65px;
  }

  @media (min-width: 1024px) {
    padding-top: 140px;
  }

  &__container {
    padding-top: 50px;
    display: flex;
    align-items: center;

    @media (max-width: 767px) {
      flex-direction: column;
      padding-bottom: 10px;
    }
  }

  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}

.content {
  @media (max-width: 767px) {
    order: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
  }

  p {
    font-size: 20px;
    line-height: 28px;
    color: #ced7e7;
    max-width: 440px;
    margin: 0 0 40px;
    position: relative;

    @media (max-width: 767px) {
      text-align: center;
      max-width: 288px;
      margin-bottom: 30px;
      font-size: 18px;
      line-height: 26px;
    }

    @media (min-width: 768px) {
      &::before {
        content: '';
        position: absolute;
        width: 605px;
        height: 296px;
        top: -120px;
        left: -63px;
        background-image: url('../../assets/img/hub/bg-star2.svg');
        background-repeat: no-repeat;
        background-position: center;
        pointer-events: none;
      }
    }
  }

  &__actions {
    position: relative;
    z-index: 1;

    @media (max-width: 767px) {
      display: flex;
      align-items: center;
      flex-direction: column;
    }

    button:first-child {
      margin-right: 20px;

      @media (max-width: 767px) {
        margin-right: 0;
        margin-bottom: 25px;
      }
    }

    @media (max-width: 767px) {
      button {
        width: 319px;
        justify-content: center;
        min-height: 56px;
      }
    }
  }
}

.img {
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::before {
      content: '';
      position: absolute;
      width: 487px;
      height: 149px;
      top: -50px;
      left: 4px;
      background-image: url('../../assets/img/hub/bg-star3.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
    }

    &::after {
      content: '';
      position: absolute;
      width: 502px;
      height: 270px;
      bottom: 125px;
      right: -335px;
      background-image: url('../../assets/img/hub/bg-star4.svg');
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }

  img {
    position: relative;
    object-fit: contain;

    @media (max-width: 767px) {
      max-width: 426px;
    }

    @media (max-width: 1199px) {
      width: 100%;
      height: 100%;
      max-width: 578px;
      max-height: 530px;
    }
  }
}
</style>
